Smart Proxy - Bug #2067

puppet:import:puppet_classes silently ignores classes when the .pp contains an "import" statement
12/20/2012 11:59 AM - David Schmitt

Status: Closed

Priority: Normal

Assignee: Dominic Cleal

Category: Puppet

Target version: 1.2.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

The init.pp in question looked like this:
import "implementation/*.pp"
class icinga(...) {

}

The class was not imported until | removed the import line.

Related issues:
Has duplicate Smart Proxy - Bug #2226: puppet proxy does not detect certain c... Closed 02/19/2013

Associated revisions

Revision aff8fa8b - 03/17/2013 03:46 PM - Dominic Cleal

fixes #2067 - disable puppet's handling of 'import' to fix manifests containing it

History

#1 - 03/13/2013 10:53 PM - Mark Heily

| can reproduce this problem; see bug #2067

#2 - 03/15/2013 04:40 AM - Dominic Cleal
- Status changed from New to Ready For Testing
- Assignee changed from Ohad Levy to Dominic Cleal

- Target version set to 1.2.0

It's a one line fix if you want to test it locally:

https://github.com/theforeman/smart-proxy/pull/70

#3 - 03/15/2013 01:44 PM - Mark Heily

| can confirm that the fix works when | applied it manually.

#4 - 03/17/2013 03:47 PM - Ohad Levy

- Project changed from Foreman to Smart Proxy
- Category deleted (Importers)

- Target version deleted (1.2.0)

#5 - 03/17/2013 03:47 PM - Ohad Levy
- Category set to Puppet

05/18/2024 12



https://projects.theforeman.org/issues/2067
https://github.com/theforeman/smart-proxy/pull/70

- Target version set to 26

#6 - 03/17/2013 08:15 PM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset aff8fa8b4{7108b30c3e2{f6ec9068c9851e4d91.

#7 - 05/10/2013 09:04 AM - Dominic Cleal

- Target version changed from 26 to 1.2.0

#8 - 07/10/2018 02:42 PM - Greg Sutcliffe
- Target version deleted (1.2.0)
